### Name: translate
### Title: Translate nucleic acid sequences
### Aliases: translate
### Keywords: manip

### ** Examples

##
## Toy cds example invented by Leonor Palmeira:
##
toycds <- s2c("tctgagcaaataaatcgg")
translate(seq = toycds) # should be c("S", "E", "Q", "I", "N", "R")
##
## Real cds example:
##
realcds <- read.fasta(File = system.file("sequences/malM.fasta", package ="seqinr"))[[1]]
translate(seq = realcds)
# Biologically correct, only one stop codon at the end
translate(seq = realcds, frame = 3, sens = "R", numcode = 6)
# Biologically meaningless, note the in-frame stop codons

## Not run: 
##D ## Need internet connection.
##D ## Translation of the following genbank entry:
##D ##
##D ## AE003734.PE35        Location/Qualifiers    (length=1833 bp)
##D ##      CDS             join(complement(162997..163210),
##D ##                      complement(162780..162919),complement(161238..162090),
##D ##                      146568..146732,146806..147266)
##D choosebank("genbank")
##D query("trans", "N=AE003734.PE35")
##D getTrans(trans$req[[1]])
##D ## Complex transsplicing operations, the correct frame and the correct 
##D ## genetic code are automatically used for translation into protein.
## End(Not run)



